package com.qmth.teachcloud.report.business.bean.result;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

/**
 * @Description: 开课课程考试总览 - 图表查询接口
 * @Author: CaoZixuan
 * @Date: 2021-06-19
 */
public class TeachCourseSurveyResult {
    @ApiModelProperty(value = "考试时间")
    private Long examTime;

    @ApiModelProperty(value = "课程名称")
    private String courseName;

    @ApiModelProperty(value = "课程代码")
    private String courseCode;

    @ApiModelProperty(value = "满分")
    private BigDecimal fullScore;

    @ApiModelProperty(value = "有效实考人数")
    private int realityCount;

    @ApiModelProperty(value = "考察学院数量")
    private int inspectCollegeCount;

    @ApiModelProperty(value = "缺考人数")
    private int absentCount;

    @ApiModelProperty(value = "赋分系数")
    private String coefficient;

    @ApiModelProperty(value = "开课学院名称")
    private String teachCollegeName;

    @ApiModelProperty(value = "考察学院集合")
    private String inspectCollegeNames;

    public Long getExamTime() {
        return examTime;
    }

    public void setExamTime(Long examTime) {
        this.examTime = examTime;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public BigDecimal getFullScore() {
        return fullScore;
    }

    public void setFullScore(BigDecimal fullScore) {
        this.fullScore = fullScore;
    }

    public int getRealityCount() {
        return realityCount;
    }

    public void setRealityCount(int realityCount) {
        this.realityCount = realityCount;
    }

    public int getInspectCollegeCount() {
        return inspectCollegeCount;
    }

    public void setInspectCollegeCount(int inspectCollegeCount) {
        this.inspectCollegeCount = inspectCollegeCount;
    }

    public int getAbsentCount() {
        return absentCount;
    }

    public void setAbsentCount(int absentCount) {
        this.absentCount = absentCount;
    }

    public String getCoefficient() {
        return coefficient;
    }

    public void setCoefficient(String coefficient) {
        this.coefficient = coefficient;
    }

    public String getTeachCollegeName() {
        return teachCollegeName;
    }

    public void setTeachCollegeName(String teachCollegeName) {
        this.teachCollegeName = teachCollegeName;
    }

    public String getInspectCollegeNames() {
        return inspectCollegeNames;
    }

    public void setInspectCollegeNames(String inspectCollegeNames) {
        this.inspectCollegeNames = inspectCollegeNames;
    }
}
